OGRE: Ogre::Particle Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Particle Class Reference

Class representing a single particle instance. More...

`#include <OgreParticle.h>`

Inheritance diagram for Ogre::Particle:

[legend]
List of all members.

## Public Types

enum | ParticleType { Visual, Emitter }
| Type of particle. More...

## Public Member Functions

| Particle ()
void | setDimensions (Real width, Real height)
| Sets the width and height for this particle.
bool | hasOwnDimensions (void) const
| Returns true if this particle deviates from the ParticleSystem's default dimensions (i.e.
Real | getOwnWidth (void) const
| Retrieves the particle's personal width, if hasOwnDimensions is true.
Real | getOwnHeight (void) const
| Retrieves the particle's personal width, if hasOwnDimensions is true.
void | setRotation (const Radian &rad)
| Sets the current rotation.
const Radian & | getRotation (void) const
void | _notifyOwner (ParticleSystem *owner)
| Internal method for notifying the particle of it's owner.
void | _notifyVisualData (ParticleVisualData *vis)
| Internal method for notifying the particle of it's optional visual data.
ParticleVisualData * | getVisualData (void) const
| Get the optional visual data associated with the class.
void | resetDimensions (void)
| Utility method to reset this particle.

## Public Attributes

bool | mOwnDimensions
| Does this particle have it's own dimensions?
Real | mWidth
| Personal width if mOwnDimensions == true.
Real | mHeight
| Personal height if mOwnDimensions == true.
Radian | rotation
| Current rotation value.
Vector3 | position
| World position.
Vector3 | direction
| Direction (and speed).
ColourValue | colour
| Current colour.
Real | timeToLive
| Time to live, number of seconds left of particles natural life.
Real | totalTimeToLive
| Total Time to live, number of seconds of particles natural life.
Radian | rotationSpeed
| Speed of rotation in radians/sec.
ParticleType | particleType
| Determines the type of particle.

## Protected Attributes

ParticleSystem * | mParentSystem
| Parent ParticleSystem.
ParticleVisualData * | mVisual
| Additional visual data you might want to associate with the Particle.

## Detailed Description

Class representing a single particle instance.

Definition at line 55 of file OgreParticle.h.

## Member Enumeration Documentation

enum Ogre::Particle::ParticleType

Type of particle.

Enumeration values:

  Visual |
  Emitter |

Definition at line 64 of file OgreParticle.h.

## Constructor & Destructor Documentation

Ogre::Particle::Particle | ( |  | ) |

| Definition at line 95 of file OgreParticle.h.

## Member Function Documentation

void Ogre::Particle::_notifyOwner | ( | ParticleSystem * | owner | ) |

| Internal method for notifying the particle of it's owner.

void Ogre::Particle::_notifyVisualData | ( | ParticleVisualData * | vis | ) |

| Internal method for notifying the particle of it's optional visual data. Definition at line 136 of file OgreParticle.h.

Real Ogre::Particle::getOwnHeight | ( | void |  | ) | const

| Retrieves the particle's personal width, if hasOwnDimensions is true. Definition at line 123 of file OgreParticle.h.

Real Ogre::Particle::getOwnWidth | ( | void |  | ) | const

| Retrieves the particle's personal width, if hasOwnDimensions is true. Definition at line 120 of file OgreParticle.h.

const Radian& Ogre::Particle::getRotation | ( | void |  | ) | const

| Definition at line 128 of file OgreParticle.h.

ParticleVisualData* Ogre::Particle::getVisualData | ( | void |  | ) | const

| Get the optional visual data associated with the class. Definition at line 139 of file OgreParticle.h.

bool Ogre::Particle::hasOwnDimensions | ( | void |  | ) | const

Returns true if this particle deviates from the ParticleSystem's default dimensions (i.e.

if the particle::setDimensions method has been called for this instance).

See also:
  particle::setDimensions

Definition at line 117 of file OgreParticle.h.

void Ogre::Particle::resetDimensions | ( | void |  | ) |

| Utility method to reset this particle.

void Ogre::Particle::setDimensions | ( | Real | width,
|  | Real | height
| ) |

Sets the width and height for this particle.

Remarks:
  Note that it is most efficient for every particle in a ParticleSystem to have the same dimensions. If you choose to alter the dimensions of an individual particle the set will be less efficient. Do not call this method unless you really need to have different particle dimensions within the same set. Otherwise just call the ParticleSystem::setDefaultDimensions method instead.

void Ogre::Particle::setRotation | ( | const Radian & | rad | ) |

| Sets the current rotation.

## Member Data Documentation

ColourValue Ogre::Particle::colour

| Current colour. Definition at line 85 of file OgreParticle.h.

Vector3 Ogre::Particle::direction

| Direction (and speed). Definition at line 83 of file OgreParticle.h.

Real Ogre::Particle::mHeight

| Personal height if mOwnDimensions == true. Definition at line 75 of file OgreParticle.h.

bool Ogre::Particle::mOwnDimensions

| Does this particle have it's own dimensions? Definition at line 71 of file OgreParticle.h.

ParticleSystem* Ogre::Particle::mParentSystem`[protected]`

| Parent ParticleSystem. Definition at line 59 of file OgreParticle.h.

ParticleVisualData* Ogre::Particle::mVisual`[protected]`

| Additional visual data you might want to associate with the Particle. Definition at line 61 of file OgreParticle.h.

Real Ogre::Particle::mWidth

| Personal width if mOwnDimensions == true. Definition at line 73 of file OgreParticle.h.

ParticleType Ogre::Particle::particleType

| Determines the type of particle. Definition at line 93 of file OgreParticle.h.

Vector3 Ogre::Particle::position

| World position. Definition at line 81 of file OgreParticle.h.

Radian Ogre::Particle::rotation

| Current rotation value. Definition at line 77 of file OgreParticle.h.

Radian Ogre::Particle::rotationSpeed

| Speed of rotation in radians/sec. Definition at line 91 of file OgreParticle.h.

Real Ogre::Particle::timeToLive

| Time to live, number of seconds left of particles natural life. Definition at line 87 of file OgreParticle.h.

Real Ogre::Particle::totalTimeToLive

| Total Time to live, number of seconds of particles natural life. Definition at line 89 of file OgreParticle.h.

The documentation for this class was generated from the following file:

- OgreParticle.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:34 2008